> ## Documentation Index
> Fetch the complete documentation index at: https://help.launcheshq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Register



## OpenAPI

````yaml https://api.launcheshq.com/openapi.json post /api/auth/register
openapi: 3.1.0
info:
  title: LaunchHub API
  version: 1.0.0
servers: []
security: []
paths:
  /api/auth/register:
    post:
      tags:
        - auth
      summary: Register
      operationId: register_api_auth_register_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RegisterRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AuthResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    RegisterRequest:
      properties:
        name:
          type: string
          title: Name
        username:
          type: string
          title: Username
        email:
          type: string
          format: email
          title: Email
        password:
          type: string
          title: Password
      type: object
      required:
        - name
        - username
        - email
        - password
      title: RegisterRequest
    AuthResponse:
      properties:
        access_token:
          type: string
          title: Access Token
        token_type:
          type: string
          title: Token Type
        user:
          $ref: '#/components/schemas/UserResponse'
      type: object
      required:
        - access_token
        - token_type
        - user
      title: AuthResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    UserResponse:
      properties:
        id:
          type: integer
          title: Id
        name:
          type: string
          title: Name
        username:
          type: string
          title: Username
        email:
          type: string
          format: email
          title: Email
        avatar_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Avatar Url
        bio:
          anyOf:
            - type: string
            - type: 'null'
          title: Bio
        is_admin:
          type: boolean
          title: Is Admin
          default: false
      type: object
      required:
        - id
        - name
        - username
        - email
      title: UserResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.